#!/usr/bin/perl

if ($#ARGV != 4) {

  print "usage: mkwgtmap.pl <prefix> <sx> <sy> <ex> <ey> \n";
  exit(0);

}

$prefix = $ARGV[0];
$sx= $ARGV[1];
$sy= $ARGV[2];
$ex= $ARGV[3];
$ey= $ARGV[4];

$whole = "";
for ($y=$ey; $y>=$sy; --$y) {
	$row = "";
 	for ($x=$sx; $x<=$ex; ++$x) {
		$row .= " $prefix.$x-$y.ppm";
	}
	system "pnmcat -lr $row > r$y.ppm";
	$whole .= " r$y.ppm";
}
system "pnmcat -tb $whole > $prefix.ppm";

for ($y=$sy; $y<=$ey; ++$y) {
	system "rm r$y.ppm";
}

