#!/usr/bin/perl

$usage = <<EOF;
usage: procplotinput.pl <conffile> 
EOF


if ($#ARGV != 0) {
	print $usage;
	exit;
}

$fname = $ARGV[0];

$inp_flag = 0;

# extract retina size

$M = 0;
open (FP,"$fname");
while (<FP>) {
	if (/M\ =\ ([\d]+)/) {	
		$M = $1;
		print "** retina = $M x $M \n";
	}
	if (/call_add_spec_ori/) {
		$inp_flag = 1;
	}
}
close (FP);

if ($inp_flag && ($M!=0)) {
system("grep call_add_spec_ori $fname  | grep -v \\# | awk '{print \$6,\$7,\$8,\$9,\$10}' | plotinput $M | ppmmat $M $M `basename $fname .conf`.input.ppm ; xv -expand 5 -raw `basename $fname .conf`.input.ppm");
} else {
	print "** No input configuration found \n";
}


