//----------------------------------------------------------------------------
// 
//	file: filename.h
// 
//	function: process 
//	author:   Yoonsuck Choe <yschoe@cs.utexas.edu>
//	creation: Sat Oct 24 21:17:18 CDT 1998
// 
//	$Revision: 1.2 $ $Date: 1999/02/09 07:42:25 $
//	$Log: filename.h,v $
//	Revision 1.2  1999/02/09 07:42:25  yschoe
//	used strrchr(ansi compatible) instead of rindex
//
//	Revision 1.1  1998/10/26 03:47:05  yschoe
//	manipulates filename -- remove or swap extensions
//
//
//----------------------------------------------------------------------------
#ifndef __FILENAME_H
#define __FILENAME_H

#include <string.h>

class filename {

public:

  // all these are static functions
  static char *basename(char *dest, const char *src);
  static char *swap_ext(char *dest, const char *src, const char *extension);
  static char *append(char *dest, const char *src, const char *extension);
  
};
#endif
